Bug 437203 - allows for a resolution that seems like a really bad idea
allows for a resolution that seems like a really bad idea
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: xorg-x11-server (Show other bugs)
9
All Linux
low Severity low
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-12 16:36 EDT by Bill Nottingham
Modified: 2014-03-16 23:12 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-10 11:10:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
X log (48.38 KB, text/plain)
2008-03-12 16:37 EDT, Bill Nottingham
no flags Details
xdpyinfo output (2.79 KB, text/plain)
2008-03-12 16:38 EDT, Bill Nottingham
no flags Details

  None (edit)
Description Bill Nottingham 2008-03-12 16:36:04 EDT
Description of problem:

i965 attached via DVI to a Dell 20" 2005FPW.

xrandr happily lets me pick a 1920x1080 resolution. Pretty sure this display is
supposed to max out at 1680x1050.

[foo@dhcp231-48 ~]$ DISPLAY=:0 xrandr
Screen 0: minimum 320 x 200, current 1680 x 1050, maximum 1920 x 1920
VGA disconnected (normal left inverted right x axis y axis)
TMDS-1 connected 1680x1050+0+0 (normal left inverted right x axis y axis) 434mm
x 270mm
   1680x1050      59.9*+   59.9* 
   1920x1080      59.9  
   1600x1024      60.2  
   1400x1050      60.0  
   1280x1024      75.0     60.0     60.0  
   1440x900       59.9  
   1280x960       60.0  
   1360x768       59.8     60.0  
   1280x800       75.0     70.0     60.0  
   1152x864       75.0     75.0     75.0     70.0     60.0  
   1280x768       75.0     70.0     60.0  
   1280x720       75.0     70.0     60.0  
   1024x768       75.1     75.0     70.1     60.0  
   832x624        74.6  
   800x600        72.2     75.0     60.3     56.2  
   640x480        75.0     72.8     75.0     60.0     59.9  
   720x400        70.1  

If chosen, I get a static screenshot of the desktop running at 1680x1050 while
the monitor is set to 1920x1080 (and is tinted blue.)  Mouse pointer works, but
the display does not update.

Version-Release number of selected component (if applicable):

xorg-x11-server-Xorg-1.4.99.901-4.20080310.fc9.x86_64
xorg-x11-drv-i810-2.2.1-11.fc9.x86_64
Comment 1 Bill Nottingham 2008-03-12 16:37:30 EDT
Created attachment 297842 [details]
X log
Comment 2 Bill Nottingham 2008-03-12 16:38:56 EDT
Created attachment 297843 [details]
xdpyinfo output
Comment 3 Bill Nottingham 2008-03-12 16:52:41 EDT
> If chosen, I get a static screenshot of the desktop running at 1680x1050 while
> the monitor is set to 1920x1080 (and is tinted blue.)  Mouse pointer works, but
> the display does not update.

I lied. Sometimes it works at that mode (but still has a bluish tint.)
Comment 4 Bug Zapper 2008-05-14 02:00:06 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2009-06-09 19:44:46 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Bill Nottingham 2009-06-10 11:10:45 EDT
Works now.

Note You need to log in before you can comment on or make changes to this bug.